/****************************************************************************************
|  Description: LED driver header file
|    File Name: led.h
|
|----------------------------------------------------------------------------------------
|                          C O P Y R I G H T
|----------------------------------------------------------------------------------------
|     Copyright (c) 2012 by Feaser     http://www.feaser.com     All rights reserved
|
|   This software is the property of Feaser. The source and compiled code may only be 
|        used on the Olimex EM32G880F128-STK board (http://www.olimex.com/dev).
| 
|      This copyright notice may not be removed from the source code nor changed.
|
|   This software has been carefully tested, but is not guaranteed for any particular
| purpose. The author does not offer any warranties and does not guarantee the accuracy,
|   adequacy, or completeness of the software and is not responsible for any errors or
|              omissions or the results obtained from use of the software.
|
****************************************************************************************/
#ifndef LED_H
#define LED_H


/****************************************************************************************
* Type definitions
****************************************************************************************/
typedef enum 
{                     
  LED_UP = 0,                                         /* UP simulated LED              */
  LED_DOWN,                                           /* DOWN simulated LED            */
  LED_RIGHT,                                          /* RIGHT simulated LED           */
  LED_LEFT                                            /* LEFT simulated LED            */
} tLedId;                                             /* LED identifier type           */                             


/****************************************************************************************
* Function prototypes
****************************************************************************************/
void          LedInit(void);
void          LedSet(tLedId id, unsigned char on);
unsigned char LedGet(tLedId id);


#endif /* LED_H */
/********************************* end of led.h ****************************************/


