/****************************************************************************************
|  Description: LCD driver header file
|    File Name: lcd.h
|
|----------------------------------------------------------------------------------------
|                          C O P Y R I G H T
|----------------------------------------------------------------------------------------
|     Copyright (c) 2012 by Feaser     http://www.feaser.com     All rights reserved
|
|   This software is the property of Feaser. The source and compiled code may only be 
|        used on the Olimex EM32G880F128-STK board (http://www.olimex.com/dev).
| 
|      This copyright notice may not be removed from the source code nor changed.
|
|   This software has been carefully tested, but is not guaranteed for any particular
| purpose. The author does not offer any warranties and does not guarantee the accuracy,
|   adequacy, or completeness of the software and is not responsible for any errors or
|              omissions or the results obtained from use of the software.
|
|***************************************************************************************/
#ifndef LCD_H
#define LCD_H

/****************************************************************************************
* Include files
****************************************************************************************/
#include "lcdcontroller.h"


/****************************************************************************************
* Macro definitions
****************************************************************************************/
/* map functions to the LCD library */
#define LcdInit()                    LCD_Init(LCD)
#define LcdDisable()                 LCD_Disable(LCD)
#define LcdAllOff()                  LCD_AllOff(LCD)
#define LcdAllOn()                   LCD_AllOn(LCD)
#define LcdBattery(batteryLevel)     LCD_Battery(LCD, batteryLevel)
#define LcdNumber(value)             LCD_Number(LCD, value)
#define LcdNumberOff()               LCD_NumberOff(LCD)
#define LcdSymbol(s, on)             LCD_Symbol(LCD, s, on)
#define LcdWrite(string)             LCD_Write(LCD, string)


#endif /* LCD_H */
/********************************* end of lcd.h ****************************************/


